NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.Layout2d.InsertComponentBuilder Class Reference

Represents a Builder for Insert Component functionality which will insert a 2D * Component instance in the active sketch More...

Inheritance diagram for NXOpen.Layout2d.InsertComponentBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe void SetLocation (NXOpen.Layout2d.Layout2dDefinitionLocation locationType)
 Sets the location type of the 2D Component indicating local, native or team center More...
 
unsafe void SetPath (string path)
 Sets the path of the reuse library for the 2D Component More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe double Angle [get, set]
 Returns or sets the component rotation angle, measured counterclockwise, around the anchor point, from the sketch +X direction to component's X axis More...
 
unsafe
NXOpen.Layout2d.ComponentSettingsBlockBuilder 
Settings [get]
 Returns the Component settings block builder which holds the component settings builder More...
 
unsafe NXOpen.Sketch Sketch [get, set]
 Returns or sets the sketch to insert the 2D Component More...
 
unsafe NXOpen.Point3d SpecifyPoint [get, set]
 Returns or sets the point specified to put the 2D Component instance More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a Builder for Insert Component functionality which will insert a 2D * Component instance in the active sketch

To create a new instance of this class, use NXOpen.Layout2d.ComponentCollection.CreateInsertComponentBuilder

Created in NX10.0.0

Member Function Documentation

unsafe void NXOpen.Layout2d.InsertComponentBuilder.SetLocation ( NXOpen.Layout2d.Layout2dDefinitionLocation  locationType)
inline

Sets the location type of the 2D Component indicating local, native or team center

Created in NX10.0.0

License requirements: nx_layout ("NX Layout")

Parameters
locationType
unsafe void NXOpen.Layout2d.InsertComponentBuilder.SetPath ( string  path)
inline

Sets the path of the reuse library for the 2D Component

Created in NX10.0.0

License requirements: nx_layout ("NX Layout")

Parameters
paththe path of the 2D Component

Property Documentation

unsafe double NXOpen.Layout2d.InsertComponentBuilder.Angle
getset

Returns or sets the component rotation angle, measured counterclockwise, around the anchor point, from the sketch +X direction to component's X axis

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_layout ("NX Layout")

unsafe NXOpen.Layout2d.ComponentSettingsBlockBuilder NXOpen.Layout2d.InsertComponentBuilder.Settings
get

Returns the Component settings block builder which holds the component settings builder

Created in NX10.0.0

License requirements: None.

unsafe NXOpen.Sketch NXOpen.Layout2d.InsertComponentBuilder.Sketch
getset

Returns or sets the sketch to insert the 2D Component

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_layout ("NX Layout")

unsafe NXOpen.Point3d NXOpen.Layout2d.InsertComponentBuilder.SpecifyPoint
getset

Returns or sets the point specified to put the 2D Component instance

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: nx_layout ("NX Layout")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.